Bug 148814 - CAN-2004-1453 Information leak with LD_DEBUG
CAN-2004-1453 Information leak with LD_DEBUG
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
http://www.gentoo.org/security/en/gls...
impact=low,public=20040817
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 15:24 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-15 15:24:51 EST
*** This bug has been split off bug 146402 ***

------- Original comment by Leonard den Ottolander on 2005.01.27 16:48 -------

Silvio Cesare discovered a potential information leak in glibc. It
allows LD_DEBUG on SUID binaries where it should not be allowed. This
has various security implications, which may be used to gain
confidentional information.
Comment 1 Josh Bressers 2005-02-15 15:26:45 EST
This issue also affects RHEL2.1
Comment 3 John Flanagan 2005-04-28 11:16:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-261.html

Note You need to log in before you can comment on or make changes to this bug.